--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: "TODO: document @api semipublic"
  name: base_model
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: Return all models that inherit from a Model
  - !ruby/struct:SM::Flow::VERB 
    body: "  class Foo\n    include DataMapper::Resource\n  end\n\n  class Bar &lt; Foo\n  end\n\n  Foo.descendants.first   #=&gt; Bar\n"
  - !ruby/struct:SM::Flow::P 
    body: "@return [Set]"
  - !ruby/struct:SM::Flow::VERB 
    body: "  Set containing the descendant classes\n"
  - !ruby/struct:SM::Flow::P 
    body: "@api private"
  name: descendants
  rw: R
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: append_extensions
- !ruby/object:RI::MethodSummary 
  name: append_inclusions
- !ruby/object:RI::MethodSummary 
  name: descendants
- !ruby/object:RI::MethodSummary 
  name: extended
- !ruby/object:RI::MethodSummary 
  name: extra_extensions
- !ruby/object:RI::MethodSummary 
  name: extra_inclusions
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
constants: []

full_name: DataMapper::Model
includes: 
- !ruby/object:RI::IncludedModule 
  name: Is
- !ruby/object:RI::IncludedModule 
  name: Scope
instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: "[]"
- !ruby/object:RI::MethodSummary 
  name: all
- !ruby/object:RI::MethodSummary 
  name: at
- !ruby/object:RI::MethodSummary 
  name: copy
- !ruby/object:RI::MethodSummary 
  name: create
- !ruby/object:RI::MethodSummary 
  name: create!
- !ruby/object:RI::MethodSummary 
  name: default_order
- !ruby/object:RI::MethodSummary 
  name: default_repository_name
- !ruby/object:RI::MethodSummary 
  name: entries
- !ruby/object:RI::MethodSummary 
  name: first
- !ruby/object:RI::MethodSummary 
  name: first_or_create
- !ruby/object:RI::MethodSummary 
  name: first_or_new
- !ruby/object:RI::MethodSummary 
  name: get
- !ruby/object:RI::MethodSummary 
  name: get!
- !ruby/object:RI::MethodSummary 
  name: inherited
- !ruby/object:RI::MethodSummary 
  name: last
- !ruby/object:RI::MethodSummary 
  name: load
- !ruby/object:RI::MethodSummary 
  name: model_method_defined?
- !ruby/object:RI::MethodSummary 
  name: new
- !ruby/object:RI::MethodSummary 
  name: repositories
- !ruby/object:RI::MethodSummary 
  name: repository
- !ruby/object:RI::MethodSummary 
  name: repository_name
- !ruby/object:RI::MethodSummary 
  name: resource_method_defined?
- !ruby/object:RI::MethodSummary 
  name: reverse
- !ruby/object:RI::MethodSummary 
  name: slice
- !ruby/object:RI::MethodSummary 
  name: storage_name
- !ruby/object:RI::MethodSummary 
  name: storage_names
- !ruby/object:RI::MethodSummary 
  name: to_a
name: Model
superclass: 
